{ pkgs, config, lib, ... }: {
  systemd.user.services."clicks.codes" = {
    Unit.Description = "Run clicks.codes";
    Install.WantedBy = [ "default.target" ];

    Service.ExecStart = "${pkgs.nix}/bin/nix develop --command pnpm start";
    Service.WorkingDirectory = "${config.home.homeDirectory}/clicks.codes";
    Service.Environment = "PATH=${pkgs.git}/bin";
  };

  systemd.user.services."signup.hopescaramels.com" = {
    Unit.Description = "Run hopescaramels signup page";
    Install.WantedBy = [ "default.target" ];

    Service.ExecStart = "${pkgs.nix}/bin/nix develop --command pnpm start";
    Service.WorkingDirectory = "${config.home.homeDirectory}/signup.hopescaramels.com";
    Service.Environment = "PATH=${pkgs.git}/bin";
  };
}
